%define packagename HTML-Tagset
%define packageversion 3.03
%define release 1
%define makeopts ""
%define makemakeropts ""
%define makeperlopts ""

Name:      perl-%{packagename}
Version:   %{packageversion}
Release:   %{release}
Group:     Development/Languages/Perl
Source:    HTML-Tagset-3.03.tar.gz
Source1:   makerpm.pl
Copyright: Probably the same terms as perl.  Check.
BuildRoot: /var/tmp/HTML-Tagset-3.03
Provides:  perl-%{packagename}
Summary:   The Perl package HTML-Tagset

%description
This package contains the perl module HTML-Tagset.

This module contains several data tables useful in various kinds of
HTML parsing operations.

Note that all tag names used are lowercase.

In the following documentation, a "hashset" is a hash being used as a
set -- the hash conveys that its keys are there, and the actual values
associated with the keys are not significant.  (But what values are
there, are always true.)

=over

=item hashset %HTML::Tagset::emptyElement

This hashset has as values the tag-names (GIs) of elements that cannot
have content.  (For example, "base", "br", "hr".)  So
C<$HTML::Tagset::emptyElement{'hr'}> exists and is true.
C<$HTML::Tagset::emptyElement{'dl'}> does not exist, and so is not true.

%prep
$RPM_SOURCE_DIR/makerpm.pl --source=HTML-Tagset-3.03.tar.gz --verbose   --prep



%build
$RPM_SOURCE_DIR/makerpm.pl --source=HTML-Tagset-3.03.tar.gz --verbose  --build --runtests %{makeopts} %{makeperlopts} %{makemakeropts} 



%install
rm -rf $RPM_BUILD_ROOT



#makerpm is run after the install script to pick up all of the files

$RPM_SOURCE_DIR/makerpm.pl --source=HTML-Tagset-3.03.tar.gz --verbose  --install %{makeopts}

%clean



rm -rf $RPM_BUILD_ROOT

%pre



%post



%preun



%postun



%verifyscript



%files -f HTML-Tagset-3.03/HTML-Tagset-3.03.rpmfilelist

%doc HTML-Tagset-3.03/README

